export default function useSaveMenuConfig(): {
    handleSaveMenuConfig: ({ data, key }: {
        key: string;
        data: any;
    }) => Promise<void>;
    getSavedMenuConfig: <ReturnType = any>({ key }: {
        key: string;
    }) => Promise<ReturnType>;
};
